<?php

	$sortby = $_REQUEST['sortby'];

	$db = new PDO('sqlite:robozzle.db');
	
	$sort = 'id ASC';
	if ($sortby == 'date') {
		$sort = 'id DESC';
	} else if ($sortby == 'author') {
		$sort = 'author ASC';
	} else if ($sortby == 'difficulty') {
		$sort = 'difficulty ASC';
	} else if ($sortby == 'liked') {
		$sort = 'liked DESC';
	}
	
	$statement = $db->prepare('SELECT * FROM level ORDER BY ' . $sort);
		
	$statement->execute();
	$result = $statement->fetchAll();
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1"><title>
	RoboZZle Javascript - Alpha
</title><link href="../stats.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
    #loginBar { position: absolute; top: 20px; right: 80px; }
    </style>    
</head>
<body>

<h1>RoboZZle Javascript - Alpha</h1>

<div id='loginBar'>
<a href="/login.aspx?ReturnURL=%2fjs%2findex.aspx%3fsortby%3ddate">Login</a> | <a href="/register.aspx?ReturnURL=%2fjs%2findex.aspx%3fsortby%3ddate">Register</a>
</div>
<div style="margin-left:auto; margin-right:auto; width:400px; background-color: #005000; border: 1px solid black">
    <p style="margin: 5px">Try the new <a href="http://www.robozzle.com/beta/">Beta version of Robozzle Javascript</a>.</p>
</div>

<div style="text-align:center; margin-bottom: 30px;">
<p>
<a href="index.aspx?sortby=campaign">Campaign</a> | <b>By date</b> | <a href="index.aspx?sortby=author">By author</a> | <a href="index.aspx?sortby=difficulty">By difficulty</a> | <a href="index.aspx?sortby=liked">By how liked</a>
</p>
</div>
<table>
<thead>
<tr> <th>Id</th> <th>Title</th> <th>Solved?</th> <th>Author</th> <th>Difficulty</th> <th>Liked / Disliked</th> <th></th></tr>
</thead>
<tbody>
	<?php
		$i = 0;
		foreach ($result as $level) {
			if ($i % 2 == 0) {
				$class = 'evenRow';
			} else {
				$class = 'oddRow';
			}
			
			echo '<tr>';
			echo '<td class="'. $class . '" style="text-align: left">' . $level['id'] . '</td>';
            echo '<td class="'. $class . '" style="text-align: left"><a href="play.aspx?puzzle=' . $level['id'] . '">' . $level['title'] . '</a></td>';
            echo '<td class="'. $class . '">&nbsp;</td>';
            echo '<td class="'. $class . '" style="text-align: left"><a href="/user.aspx?name=' . $level['author'] . '">' . $level['author'] . '</a></td>';
            echo '<td class="'. $class . '">' . $level['difficulty'] . '</td>';
            echo '<td class="'. $class . '">' . $level['liked'] . '</td>';
            echo '<td class="'. $class . '"><a href="/forums/thread.aspx?puzzle=' . $level['id'] . '">' . $level['comments'] . ' comment' . ($level['comments'] == 1 ? '' : 's') . '</a></td>';
			echo '</tr>';
			$i++;
		}
	?>
</tbody>
</table>
<p style="font-size: small; margin-top: 20px;">©2009 <a href="http://igoro.com/">Igor Ostrovsky</a> and other <a href="/contributors.aspx"> contributors</a>. <a href="/tou.aspx">Terms of use</a></p>
</body>
</html>